Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SaveRectangle Class Reference

Saves all the rectangles information in the text file. More...

`#include <saverectangle.h>`

## Public Member Functions
| SaveRectangle (ImageGraphicsScene *scene_1)
| The constructor of the SaveRectangle class. More...
virtual void | setScene (ImageGraphicsScene *graphics_scene)
| Sets the application scene. More...
virtual void | saveChanges ()
| Saves all the changes made by the user. More...
virtual void | saveAs (CreateFileAbstraction *cfa, FileWriter *fw)
| Bug. Do not use it.

## Detailed Description

Saves all the rectangles information in the text file.

When the user presses the "Save" button, this class will save all the information in the related text file.

Note
  The following information is saved: ID,Top-left x coordinate,Top-Left y coordinate,Width,Height,Annotation ,Word number,Line number.

Author

Author
  David Carmona-Moreno

Version

Revision
  1.0

Date

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs.

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

SaveRectangle::SaveRectangle | ( | ImageGraphicsScene * | scene_1 | ) |
| inline

The constructor of the SaveRectangle class.

Parameters

  scene_1 | The application scene

## Member Function Documentation

void SaveRectangle::saveChanges | ( |  | ) |
| virtual

Saves all the changes made by the user.

Returns
  void

void SaveRectangle::setScene | ( | ImageGraphicsScene * | graphics_scene | ) |
| virtual

Sets the application scene.

Parameters

  graphics_scene | The application scene

Returns
  void

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/saverectangle.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/saverectangle.cpp